import os, apport.packaging, apport.hookutils

def add_info(report):
	# the crash is not in nautilus code so reassign
	if report.has_key("Stacktrace") and "/usr/lib/nautilus" in report["Stacktrace"]:
		for words in report["Stacktrace"].split():
			if words.startswith("/usr/lib/nautilus"):
				report.add_package_info(apport.packaging.get_file_package(words))
				return

	# collect informations on the /usr/lib/nautilus components 
	report["usr_lib_nautilus"] = ""
	for dir in os.walk("/usr/lib/nautilus"):
		for files in dir[2]:
			 report["usr_lib_nautilus"] += apport.hookutils.package_versions(apport.packaging.get_file_package(os.path.join(dir[0],files)))
